{{- define "my.cnf" }}

[server]

[mysqld]
user=mysql
bind_address=0.0.0.0
basedir=/usr
tmpdir=/var/tmp
datadir=/volume/mysql
ignore-db-dirs=lost+found
log-error=/volume/log/mariadb/mariadb.log
max_connections = 64
max_heap_table_size = 1M
innodb_buffer_pool_size = 5M
innodb_log_buffer_size = 512K
general_log_file = /volume/log/mariadb/mariadb.log
character-set-server=UTF8
collation-server=utf8_general_ci
# Docker specific hacks
skip-host-cache
skip-name-resolve

[mysqld_safe]
skip_log_error
syslog
{{- end }}
